Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.vsbnet.async.insurability.session.impl
Class VsbNetInsurabilityServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
          be.ehealth.businessconnector.vsbnet.async.insurability.session.impl.VsbNetInsurabilityServiceImpl

All Implemented Interfaces:
  CommonAsyncService, VsbNetInsurabilityService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class VsbNetInsurabilityServiceImpl

extends DefaultCommonAsyncService
implements VsbNetInsurabilityService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Constructor Summary
`VsbNetInsurabilityServiceImpl()`

Method Summary
`void` | `bootstrap()`
`ProcessedPostResponse` | `determineInsurability(WZCMHDF001DetermineInsurabilityRequest request, InputReference inputReference)`
`ProcessedGetResponse<WZCMHDF001DetermineInsurabilityResponse>` | `getDetermineInsurability(GetRequest request)`

Methods inherited from class be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
`confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService
`confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

Constructor Detail

### VsbNetInsurabilityServiceImpl

    public VsbNetInsurabilityServiceImpl()

Method Detail

### determineInsurability

    public ProcessedPostResponse determineInsurability(WZCMHDF001DetermineInsurabilityRequest request,
                                                       InputReference inputReference)
                                                throws ConnectorException

  Specified by:
    `determineInsurability` in interface `VsbNetInsurabilityService`
  Throws:
    `ConnectorException`

### getDetermineInsurability

    public ProcessedGetResponse<WZCMHDF001DetermineInsurabilityResponse> getDetermineInsurability(GetRequest request)
                                                                                           throws ConnectorException

  Specified by:
    `getDetermineInsurability` in interface `VsbNetInsurabilityService`
  Throws:
    `ConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.